Skip to Content

Problem in installing NWDI

Hi All,

I by mistake had deployed sp14 pack of DTR, CBS on my sp09 portal server.

Now i have undeployed the compoments using SDM. and i have downloaded all the three components required for sp09 NWDI from service market place.

But during the development it is showing some dependency error on the missing components .

Following is the components i am trying to deploy

DICBS09_0-10003500.SCA

DICMS09_0-10003499.SCA

DICMS09_0-10003499.SCA.

and following is the error

Unresolved dependencies found for the following SDAs:

1.: development component 'tc/SL/CMS/TCSEar'/'sap.com'/'MAIN_APL70VAL_C'/'936991'/'1'

dependency:

name: 'tc.CBS.API'

vendor: 'sap.com'

There is no component either in SDM repository or in Deployment batch that resolves the dependency.

dependency:

name: 'tc/dtr.client/vfs-adl'

vendor: 'sap.com'

There is no component either in SDM repository or in Deployment batch that resolves the dependency.

2.: development component 'tc.CBS.CommonPart'/'sap.com'/'MAIN_APL70VAL_C'/'936886'/'0'

dependency:

name: 'tc/dtr.client/vfs-adl'

vendor: 'sap.com'

There is no component either in SDM repository or in Deployment batch that resolves the dependency.

dependency:

name: 'tc.CBS.API'

vendor: 'sap.com'

There is no component either in SDM repository or in Deployment batch that resolves the dependency.

Deployment will be aborted.

Thanks

Sarbjeet

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Best Answer
    Oct 15, 2010 at 10:18 AM

    Hi,

    there was a major change in NWDI as of 700 SP13 (and so most likely in the dependencies in the mentioned SCs). Since you have deployed SP14, and then undeployed it, apparently it undeployed also unwanted components which are still required for an SP9 stack.

    Can you please just try to redeploy the SP9 Stack using the "Deploy SCA it has any version" (or similar, I don't remember the proper name of this SDM option by hard). You can also try to re-deploy with this SDM option first only the SP9 version of the SAPJTECHS. If this is not improving on the situation, then try to go for the remaining SCs of the stack.

    I hope this helps.

    Best Regards,

    Ervin

    Add comment
    10|10000 characters needed characters exceeded

    • Hi,

      yes, on the deployment tab when you deploy, there's a small black down arrow. If you expand it, the third option is something like "update if SCA/sda has any version". (This is a kind of 'force deployment' feature which does not consider the version of the component to be deployed, else it'll skip it, saying the component is newer. This way we can ensure the component will be deployed in anyway)

      Best Regards,

      Ervin